Change in ...openbsc[master]: manuals: Add script to regenerate counter/vty documentation

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

daniel gerrit-no-reply at lists.osmocom.org
Wed Jun 19 12:42:34 UTC 2019


daniel has submitted this change and it was merged. ( https://gerrit.osmocom.org/c/openbsc/+/14528 )

Change subject: manuals: Add script to regenerate counter/vty documentation
......................................................................

manuals: Add script to regenerate counter/vty documentation

Related: OS#1700
Change-Id: I3e6e6603300d2d7f6221720fa7ce35b3a6aa0b7a
---
M openbsc/doc/Makefile.am
A openbsc/doc/regen_doc.sh
2 files changed, 23 insertions(+), 0 deletions(-)

Approvals:
  Jenkins Builder: Verified
  pespin: Looks good to me, approved



diff --git a/openbsc/doc/Makefile.am b/openbsc/doc/Makefile.am
index 5a23107..ac3c914 100644
--- a/openbsc/doc/Makefile.am
+++ b/openbsc/doc/Makefile.am
@@ -1,3 +1,5 @@
 SUBDIRS = \
 	examples \
 	$(NULL)
+
+EXTRA_DIST = regen_doc.sh
diff --git a/openbsc/doc/regen_doc.sh b/openbsc/doc/regen_doc.sh
new file mode 100755
index 0000000..5552dec
--- /dev/null
+++ b/openbsc/doc/regen_doc.sh
@@ -0,0 +1,21 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+	echo "You need to set DOCKER_PLAYGROUND"
+	exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")/../../manuals
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_NITB_BRANCH=$COMMIT ./regen_doc.sh osmo-nitb 4242 \
+	"$MANUAL_DIR/OsmoNITB/chapters/counters_generated.adoc" \
+	"$MANUAL_DIR/OsmoNITB/vty/nitb_vty_reference.xml"
+
+#OSMO_BSCNAT_BRANCH=$COMMIT ./regen_doc.sh osmo-bscnat 4244 \
+#	"$MANUAL_DIR/OsmoBSCNAT/chapters/counters_generated.adoc" \
+#	"$MANUAL_DIR/OsmoBSCNAT/vty/nat_vty_reference.xml"

-- 
To view, visit https://gerrit.osmocom.org/c/openbsc/+/14528
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: openbsc
Gerrit-Branch: master
Gerrit-Change-Id: I3e6e6603300d2d7f6221720fa7ce35b3a6aa0b7a
Gerrit-Change-Number: 14528
Gerrit-PatchSet: 1
Gerrit-Owner: daniel <dwillmann at sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: daniel <dwillmann at sysmocom.de>
Gerrit-Reviewer: pespin <pespin at sysmocom.de>
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190619/68955365/attachment.htm>


More information about the gerrit-log mailing list